Altibase.jdbc.driver.cm

## Class CmProtocolContextShardConnect

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextConnect
    - - Altibase.jdbc.driver.cm.CmProtocolContextShardConnect

    public class CmProtocolContextShardConnect
    extends CmProtocolContextConnect

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextShardConnect(AltibaseShardingConnection aMetaConn)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createDataSources(AltibaseProperties aProp)` DataNode의 정보를 바탕으로 DataSource객체를 만든다.
`java.util.Map<DataNode,javax.sql.DataSource>` `getDataSourceMap()`
`java.lang.String` `getServerCharSet()`
`long` `getShardMetaNumber()`
`ShardNodeConfig` `getShardNodeConfig()`
`DataNode` `getShardOnTransactionNode()`
`long` `getShardPin()`
`ShardTransactionLevel` `getShardTransactionLevel()`
`long` `getSMNOfDataNode()`
`boolean` `isAutoCommitMode()`
`boolean` `isNodeTransactionStarted()`
`boolean` `isTouched()`
`boolean` `needToDisconnect()`
`void` `setAutoCommit(boolean aIsAutoCommit)`
`void` `setDataSourceMap(java.util.Map<DataNode,javax.sql.DataSource> aDataSourceMap)`
`void` `setNeedToDisconnect(boolean aNeedToDisconnect)`
`void` `setNodeTransactionStarted(boolean aNodeTransactionStarted)`
`void` `setServerCharSet(java.lang.String aServerCharSet)`
`void` `setShardConnType(CmConnType aShardConnType)`
`void` `setShardMetaNumber(long aShardMetaNumber)`
`void` `setShardNodeConfig(long aShardPin, long aShardMetaNumber, ShardNodeConfig aShardNodeConfig)` getNodeList 프로토콜의 결과로 생성된 ShardNodeConfig객체를 주입한다.
`void` `setShardNodeConfig(ShardNodeConfig aShardNodeConfig)`
`void` `setShardOnTransactionNode(DataNode aShardOnTransactionNode)`
`void` `setShardTransactionLevel(ShardTransactionLevel aShardTransactionLevel)`
`void` `setSMNOfDataNode(long aSMNOfDataNode)`
`void` `setTouched(boolean aTouched)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContextConnect

`addProperty, addProperty, addProperty, addProperty, addProperty, addProperty, clearProperties, getCharsetName, getConnectExResult, getExplainPlanMode, getHandshakeResult, getIsolationLevel, getLobCacheThreshold, getNCharsetName, getPropertyColumn, getPropertyResult, getShardHandshakeResult, isSetProperty, isSetPropertyResult`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextShardConnect

    public CmProtocolContextShardConnect(AltibaseShardingConnection aMetaConn)

### Method Detail

#### getShardNodeConfig

    public ShardNodeConfig getShardNodeConfig()

#### setShardNodeConfig

    public void setShardNodeConfig(ShardNodeConfig aShardNodeConfig)

#### setShardNodeConfig

    public void setShardNodeConfig(long aShardPin,
                                   long aShardMetaNumber,
                                   ShardNodeConfig aShardNodeConfig)

getNodeList 프로토콜의 결과로 생성된 ShardNodeConfig객체를 주입한다.

Parameters:
  `aShardPin` - 샤드핀값
  `aShardMetaNumber` - getNodeList프로토콜을 통해 전달받은 ShardMetaNumber 값
  `aShardNodeConfig` - getNodeList프로토콜을 통해 새로 생성한 ShardNodeConfig 객체

#### getShardTransactionLevel

    public ShardTransactionLevel getShardTransactionLevel()

Overrides:
  `getShardTransactionLevel` in class `CmProtocolContextConnect`

#### setShardTransactionLevel

    public void setShardTransactionLevel(ShardTransactionLevel aShardTransactionLevel)

#### isNodeTransactionStarted

    public boolean isNodeTransactionStarted()

#### setNodeTransactionStarted

    public void setNodeTransactionStarted(boolean aNodeTransactionStarted)

#### isAutoCommitMode

    public boolean isAutoCommitMode()

#### setAutoCommit

    public void setAutoCommit(boolean aIsAutoCommit)

#### getDataSourceMap

    public java.util.Map<DataNode,javax.sql.DataSource> getDataSourceMap()

#### setDataSourceMap

    public void setDataSourceMap(java.util.Map<DataNode,javax.sql.DataSource> aDataSourceMap)

#### getShardOnTransactionNode

    public DataNode getShardOnTransactionNode()

#### setShardOnTransactionNode

    public void setShardOnTransactionNode(DataNode aShardOnTransactionNode)

#### isTouched

    public boolean isTouched()

#### setTouched

    public void setTouched(boolean aTouched)

#### getServerCharSet

    public java.lang.String getServerCharSet()

#### setServerCharSet

    public void setServerCharSet(java.lang.String aServerCharSet)

#### getShardPin

    public long getShardPin()

#### setShardMetaNumber

    public void setShardMetaNumber(long aShardMetaNumber)

#### getShardMetaNumber

    public long getShardMetaNumber()

#### setSMNOfDataNode

    public void setSMNOfDataNode(long aSMNOfDataNode)

#### getSMNOfDataNode

    public long getSMNOfDataNode()

#### createDataSources

    public void createDataSources(AltibaseProperties aProp)

DataNode의 정보를 바탕으로 DataSource객체를 만든다. 이때 shardpin, shard_meta_number와 같은 값들도 함께
셋팅한다.

Parameters:
  `aProp` - AltibaseProperties 객체

#### setShardConnType

    public void setShardConnType(CmConnType aShardConnType)

#### needToDisconnect

    public boolean needToDisconnect()

#### setNeedToDisconnect

    public void setNeedToDisconnect(boolean aNeedToDisconnect)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `CmProtocolContextConnect`